"use strict";
/**
 * This file is part of Swapable shared under AGPL-3.0
 * Copyright (C) 2021 Using Blockchain Ltd, Reg No.: 12658136, United Kingdom
 *
 * @package     Swapable
 * @author      Grégory Saive for Using Blockchain Ltd <greg@ubc.digital>
 * @license     AGPL-3.0
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Swapable = exports.Symbol = void 0;
// errors
var FailureCommandExecution_1 = require("./src/errors/FailureCommandExecution");
Object.defineProperty(exports, "FailureCommandExecution", { enumerable: true, get: function () { return FailureCommandExecution_1.FailureCommandExecution; } });
var FailureEmptyContract_1 = require("./src/errors/FailureEmptyContract");
Object.defineProperty(exports, "FailureEmptyContract", { enumerable: true, get: function () { return FailureEmptyContract_1.FailureEmptyContract; } });
var FailureInvalidCommand_1 = require("./src/errors/FailureInvalidCommand");
Object.defineProperty(exports, "FailureInvalidCommand", { enumerable: true, get: function () { return FailureInvalidCommand_1.FailureInvalidCommand; } });
var FailureInvalidDerivationPath_1 = require("./src/errors/FailureInvalidDerivationPath");
Object.defineProperty(exports, "FailureInvalidDerivationPath", { enumerable: true, get: function () { return FailureInvalidDerivationPath_1.FailureInvalidDerivationPath; } });
var FailureMissingArgument_1 = require("./src/errors/FailureMissingArgument");
Object.defineProperty(exports, "FailureMissingArgument", { enumerable: true, get: function () { return FailureMissingArgument_1.FailureMissingArgument; } });
var FailureOperationForbidden_1 = require("./src/errors/FailureOperationForbidden");
Object.defineProperty(exports, "FailureOperationForbidden", { enumerable: true, get: function () { return FailureOperationForbidden_1.FailureOperationForbidden; } });
// models
var AllowanceResult_1 = require("./src/models/AllowanceResult");
Object.defineProperty(exports, "AllowanceResult", { enumerable: true, get: function () { return AllowanceResult_1.AllowanceResult; } });
var AssetAmount_1 = require("./src/models/AssetAmount");
Object.defineProperty(exports, "AssetAmount", { enumerable: true, get: function () { return AssetAmount_1.AssetAmount; } });
var AssetSource_1 = require("./src/models/AssetSource");
Object.defineProperty(exports, "AssetSource", { enumerable: true, get: function () { return AssetSource_1.AssetSource; } });
var AssetIdentifier_1 = require("./src/models/AssetIdentifier");
Object.defineProperty(exports, "AssetIdentifier", { enumerable: true, get: function () { return AssetIdentifier_1.AssetIdentifier; } });
var CommandOption_1 = require("./src/models/CommandOption");
Object.defineProperty(exports, "CommandOption", { enumerable: true, get: function () { return CommandOption_1.CommandOption; } });
var TransactionParameters_1 = require("./src/models/TransactionParameters");
Object.defineProperty(exports, "TransactionParameters", { enumerable: true, get: function () { return TransactionParameters_1.TransactionParameters; } });
// contracts
var Context_1 = require("./src/contracts/Context");
Object.defineProperty(exports, "Context", { enumerable: true, get: function () { return Context_1.Context; } });
var Service_1 = require("./src/contracts/Service");
Object.defineProperty(exports, "Service", { enumerable: true, get: function () { return Service_1.Service; } });
var BaseCommand_1 = require("./src/contracts/BaseCommand");
Object.defineProperty(exports, "BaseCommand", { enumerable: true, get: function () { return BaseCommand_1.BaseCommand; } });
// adapters: exports one class `Reader`, one class `Signer`,
// and one class `Accountable` per each blockchain adapter.
const Symbol = __importStar(require("./src/adapters/Symbol"));
exports.Symbol = Symbol;
// export open standard namespace `Swapable`
const Swapable = __importStar(require("./src/Swapable"));
exports.Swapable = Swapable;
