/**
 * This file is part of Swapable shared under AGPL-3.0
 * Copyright (C) 2021 Using Blockchain Ltd, Reg No.: 12658136, United Kingdom
 *
 * @package     Swapable
 * @author      Grégory Saive for Using Blockchain Ltd <greg@ubc.digital>
 * @license     AGPL-3.0
 */
import { CreatePool as CreatePoolImpl } from './CreatePool';
import { AddLiquidity as AddLiquidityImpl } from './AddLiquidity';
import { RemoveLiquidity as RemoveLiquidityImpl } from './RemoveLiquidity';
import { Swap as SwapImpl } from './Swap';
/**
 * @namespace Swapable.PoolCommands
 * @package Swapable
 * @subpackage Commands
 * @since v1.0.0
 * @description Namespace that contains pool command implementations
 */
export declare namespace PoolCommands {
    class CreatePool extends CreatePoolImpl {
    }
    class AddLiquidity extends AddLiquidityImpl {
    }
    class RemoveLiquidity extends RemoveLiquidityImpl {
    }
    class Swap extends SwapImpl {
    }
}
