"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PoolCommands = void 0;
/**
 * This file is part of Swapable shared under AGPL-3.0
 * Copyright (C) 2021 Using Blockchain Ltd, Reg No.: 12658136, United Kingdom
 *
 * @package     Swapable
 * @author      Grégory Saive for Using Blockchain Ltd <greg@ubc.digital>
 * @license     AGPL-3.0
 */
const CreatePool_1 = require("./CreatePool");
const AddLiquidity_1 = require("./AddLiquidity");
const RemoveLiquidity_1 = require("./RemoveLiquidity");
const Swap_1 = require("./Swap");
/**
 * @namespace Swapable.PoolCommands
 * @package Swapable
 * @subpackage Commands
 * @since v1.0.0
 * @description Namespace that contains pool command implementations
 */
var PoolCommands;
(function (PoolCommands) {
    // - Exports an alias to the `CreatePool` command implementation
    class CreatePool extends CreatePool_1.CreatePool {
    }
    PoolCommands.CreatePool = CreatePool;
    // - Exports an alias to the `AddLiquidity` command implementation
    class AddLiquidity extends AddLiquidity_1.AddLiquidity {
    }
    PoolCommands.AddLiquidity = AddLiquidity;
    // - Exports an alias to the `RemoveLiquidity` command implementation
    class RemoveLiquidity extends RemoveLiquidity_1.RemoveLiquidity {
    }
    PoolCommands.RemoveLiquidity = RemoveLiquidity;
    // - Exports an alias to the `Swap` command implementation
    class Swap extends Swap_1.Swap {
    }
    PoolCommands.Swap = Swap;
})(PoolCommands = exports.PoolCommands || (exports.PoolCommands = {}));
