/**
 * This file is part of Swapable shared under AGPL-3.0
 * Copyright (C) 2021 Using Blockchain Ltd, Reg No.: 12658136, United Kingdom
 *
 * @package     Swapable
 * @author      Grégory Saive for Using Blockchain Ltd <greg@ubc.digital>
 * @license     AGPL-3.0
 */
import { AggregateTransaction, PublicAccount, Transaction } from 'symbol-sdk';
import { TransactionURI } from 'symbol-uri-scheme';
import { AllowanceResult, BaseCommand, CommandOption } from '../../index';
export declare class FakeCommand extends BaseCommand {
    get name(): string;
    get descriptor(): string;
    synchronize(): Promise<boolean>;
    canExecute(actor: PublicAccount, argv: CommandOption[] | undefined): AllowanceResult;
    execute(actor: PublicAccount, argv: CommandOption[] | undefined): TransactionURI<Transaction>;
    protected prepare(): AggregateTransaction | Transaction;
    protected get transactions(): Transaction[];
}
