"use strict";
/**
 * This file is part of Swapable shared under AGPL-3.0
 * Copyright (C) 2021 Using Blockchain Ltd, Reg No.: 12658136, United Kingdom
 *
 * @package     Swapable
 * @author      Grégory Saive for Using Blockchain Ltd <greg@ubc.digital>
 * @license     AGPL-3.0
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FakeCommand = void 0;
const symbol_sdk_1 = require("symbol-sdk");
const symbol_uri_scheme_1 = require("symbol-uri-scheme");
// internal dependencies
const index_1 = require("../../index");
class FakeCommand extends index_1.BaseCommand {
    get name() {
        return 'FakeCommand';
    }
    get descriptor() {
        return 'SWAPS(' + this.context.revision + '):fake:0';
    }
    synchronize() {
        return __awaiter(this, void 0, void 0, function* () {
            return true;
        });
    }
    canExecute(actor, argv) {
        return new index_1.AllowanceResult(true);
    }
    execute(actor, argv) {
        return new symbol_uri_scheme_1.TransactionURI('', symbol_sdk_1.TransactionMapping.createFromPayload);
    }
    prepare() {
        return symbol_sdk_1.AggregateTransaction.createBonded(this.context.parameters.deadline, this.transactions, this.context.reader.networkType, [], this.context.parameters.maxFee);
    }
    get transactions() {
        return [];
    }
}
exports.FakeCommand = FakeCommand;
