/**
 * This file is part of Swapable shared under AGPL-3.0
 * Copyright (C) 2021 Using Blockchain Ltd, Reg No.: 12658136, United Kingdom
 *
 * @package     Swapable
 * @author      Grégory Saive for Using Blockchain Ltd <greg@ubc.digital>
 * @license     AGPL-3.0
 */
import { MosaicHttp as BaseMosaicRepository, AccountHttp as BaseAccountRepository, MosaicInfo as BaseMosaicInfo, MosaicId } from 'symbol-sdk';
/**
 * @namespace Stubs
 * @package Swapable
 * @subpackage Tests
 * @since v1.0.2
 * @description Namespace that contains stubbed classes for tests
 */
export declare namespace Stubs {
    /**
     * @class Stubs.MosaicRepository
     * @description Stub for MosaicHttp class of symbol-sdk
     */
    class MosaicRepository extends BaseMosaicRepository {
    }
    /**
     * @class Stubs.AccountRepository
     * @description Stub for AccountHttp class of symbol-sdk
     */
    class AccountRepository extends BaseAccountRepository {
    }
    /**
     * @class Stubs.MosaicInfo
     * @description Stub for AccountHttp class of symbol-sdk
     */
    class MosaicInfo extends BaseMosaicInfo {
        constructor(mosaicId: MosaicId);
    }
}
