"use strict";
/**
 * This file is part of Swapable shared under AGPL-3.0
 * Copyright (C) 2021 Using Blockchain Ltd, Reg No.: 12658136, United Kingdom
 *
 * @package     Swapable
 * @author      Grégory Saive for Using Blockchain Ltd <greg@ubc.digital>
 * @license     AGPL-3.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stubs = void 0;
const symbol_sdk_1 = require("symbol-sdk");
const Accounts_1 = require("./Accounts");
/**
 * @namespace Stubs
 * @package Swapable
 * @subpackage Tests
 * @since v1.0.2
 * @description Namespace that contains stubbed classes for tests
 */
var Stubs;
(function (Stubs) {
    /**
     * @class Stubs.MosaicRepository
     * @description Stub for MosaicHttp class of symbol-sdk
     */
    class MosaicRepository extends symbol_sdk_1.MosaicHttp {
    }
    Stubs.MosaicRepository = MosaicRepository;
    /**
     * @class Stubs.AccountRepository
     * @description Stub for AccountHttp class of symbol-sdk
     */
    class AccountRepository extends symbol_sdk_1.AccountHttp {
    }
    Stubs.AccountRepository = AccountRepository;
    /**
     * @class Stubs.MosaicInfo
     * @description Stub for AccountHttp class of symbol-sdk
     */
    class MosaicInfo extends symbol_sdk_1.MosaicInfo {
        constructor(mosaicId) {
            super(1, '1', mosaicId, symbol_sdk_1.UInt64.fromUint(1), symbol_sdk_1.UInt64.fromUint(1), Accounts_1.getTestAccount('target').address, 1, new symbol_sdk_1.MosaicFlags(0), 0, symbol_sdk_1.UInt64.fromUint(0));
        }
    }
    Stubs.MosaicInfo = MosaicInfo;
})(Stubs = exports.Stubs || (exports.Stubs = {}));
