"use strict";
/**
 * This file is part of Swapable shared under AGPL-3.0
 * Copyright (C) 2021 Using Blockchain Ltd, Reg No.: 12658136, United Kingdom
 *
 * @package     Swapable
 * @author      Grégory Saive for Using Blockchain Ltd <greg@ubc.digital>
 * @license     AGPL-3.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const mocha_1 = require("mocha");
// internal dependencies
const index_1 = require("../../index");
mocha_1.describe('Swapable --->', () => {
    mocha_1.it('Revision should be 1', () => {
        chai_1.expect(index_1.Swapable.Revision).to.be.equal(1);
    });
    mocha_1.describe('AssetCommands should', () => {
        mocha_1.it('export contract CreatePool', () => {
            chai_1.expect('CreatePool' in index_1.Swapable.AssetCommands).to.be.true;
        });
        mocha_1.it('export contract AddLiquidity', () => {
            chai_1.expect('AddLiquidity' in index_1.Swapable.AssetCommands).to.be.true;
        });
        mocha_1.it('export contract RemoveLiquidity', () => {
            chai_1.expect('RemoveLiquidity' in index_1.Swapable.AssetCommands).to.be.true;
        });
        mocha_1.it('export contract Swap', () => {
            chai_1.expect('Swap' in index_1.Swapable.AssetCommands).to.be.true;
        });
    });
});
